## edu.stanford.nlp.io
Class BZip2PipedOutputStream

    java.lang.Object
      java.io.OutputStream
          edu.stanford.nlp.io.BZip2PipedOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class BZip2PipedOutputStream

extends OutputStream

Opens a outputstream for writing into a bzip2 file by piping into the bzip2 command. Output from bzip2 command is written into the specified file.

Author:
  Angel Chang

Constructor Summary
`BZip2PipedOutputStream(String filename)`
`BZip2PipedOutputStream(String filename, OutputStream err)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BZip2PipedOutputStream

    public BZip2PipedOutputStream(String filename)
                           throws IOException

Throws:
  `IOException`

### BZip2PipedOutputStream

    public BZip2PipedOutputStream(String filename,
                                  OutputStream err)
                           throws IOException

Throws:
  `IOException`

Method Detail

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

Stanford NLP Group